Cdiscount Search
Extract product listings from Cdiscount search results or category pages for market intelligence and competitive analysis.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Cdiscount search results page URL. Use any URL from a search or category browse on cdiscount.com.
Example:
https://www.cdiscount.com/search/10/laptop.html
Notes:
- You can use keyword search URLs (e.g.
/search/10/{keyword}.html) or category browse URLs (e.g./informatique/ordinateurs-pc-portables/...) - Pagination and filter parameters present in the URL are respected.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/cdiscount/search?query=string"{
"pagination": {
"current": 1,
"has_next_page": true,
"next": 2,
"other_pages": [
2
],
"total_pages": 2
},
"results": [
{
"brand_id": 221204,
"category_id": 1000004592,
"category_path": "0K/0K07/0K0701/0K070101",
"condition": "Neuf",
"currency": "EUR",
"department_id": 1070992,
"free_shipping": true,
"id": "aaaph06865",
"image": "https://www.cdiscount.com/pdt2/8/6/5/1/300x300/aaaph06865/rw/acemagic-pc-portables-gaming.jpg",
"images": [
"https://www.cdiscount.com/pdt2/8/6/5/1/300x300/aaaph06865/rw/acemagic-pc-portables-gaming.jpg",
"https://www.cdiscount.com/pdt2/8/6/5/1/140x140/aaaph06865/rw/acemagic-pc-portables-gaming.jpg"
],
"is_cdav": true,
"is_new": true,
"is_sponsored": false,
"min_quantity": 1,
"new_offer_min_price": 0,
"new_offer_quantity": 0,
"offer_id": 4258700481,
"original_price": 499.9,
"price": 429.99,
"rating": 4,
"reviews_count": 2,
"seller": {
"id": 405259,
"name": "BOOMING"
},
"title": "ACEMAGIC PC Portables Gaming - 15.6\" FHD, AMD Ryzen 7 5700U, 16Go RAM, 512Go SSD",
"url": "https://www.cdiscount.com/informatique/ordinateurs-pc-portables/acemagic-pc-portables-gaming/f-1070992-aaaph06865.html",
"used_offer_min_price": 0,
"used_offer_quantity": 0
},
{
"brand_id": 766,
"category_id": 1000004592,
"category_path": "0K/0K07/0K0701/0K070101",
"condition": "Neuf",
"currency": "EUR",
"department_id": 1070992,
"free_shipping": true,
"id": "aaaaq86960",
"image": "https://www.cdiscount.com/pdt2/9/6/0/1/300x300/aaaaq86960/rw/ordinateur-portable-laptop-hp.jpg",
"images": [
"https://www.cdiscount.com/pdt2/9/6/0/1/300x300/aaaaq86960/rw/ordinateur-portable-laptop-hp.jpg",
"https://www.cdiscount.com/pdt2/9/6/0/1/140x140/aaaaq86960/rw/ordinateur-portable-laptop-hp.jpg"
],
"is_cdav": true,
"is_new": true,
"is_sponsored": false,
"min_quantity": 1,
"new_offer_min_price": 0,
"new_offer_quantity": 0,
"offer_id": 4213440156,
"original_price": 999.99,
"price": 759.99,
"seller": {
"id": 80174,
"name": "MegaMarket"
},
"title": "ORDINATEUR PORTABLE LAPTOP HP 15-EH3001SF RAM 16 Go SSD 512 Go - ARGENT NATUREL",
"url": "https://www.cdiscount.com/informatique/ordinateurs-pc-portables/ordinateur-portable-laptop-hp/f-1070992-aaaaq86960.html",
"used_offer_min_price": 0,
"used_offer_quantity": 0
}
]
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}